Bug 521526 - MacBook Aluminum Install: Sound does not work out of the box
MacBook Aluminum Install: Sound does not work out of the box
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-06 14:43 EDT by W. Michael Petullo
Modified: 2010-06-28 10:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:30:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2009-09-06 14:43:57 EDT
Description of problem:
I installed Fedora 11 on a Apple MacBook Aluminum. I found that audio did not work immediately after install.

Version-Release number of selected component (if applicable):
kernel-2.6.29.6-217.2.16.fc11.x86_64

How reproducible:
Ever time

Steps to Reproduce:
Install Fedora 11 (no PulseAudio, just ALSA) on a MacBook Aluminum

  
Actual results:
Audio output does not work.

Expected results:
Audio should work out of the box.

Additional info:
Adding the following to /etc/modprobe.d/sound.conf fixes audio:

options snd_hda_intel model=mbp3

after rebooting.

Of note, alsamixer does try to manipulate the device before implementing the above fix. However, changing the audio levels does not work. Also, alsamixer displays several more audio properties after the above options are provided to the driver. For example, without the above options, the 2/6 channel toggle is not displayed within alsamixer. After adding the above options, alsamixer displays the 2/6 channel toggle.
Comment 1 W. Michael Petullo 2009-12-28 13:40:54 EST
Of note, sound worked immediately after installing Fedora 12.
Comment 2 W. Michael Petullo 2010-03-05 21:21:57 EST
With regard to comment #1 and Fedora 12, I eventually found that my headphone jack did not provide audio. When I plug in headphones, sound continues to play from the laptop's speakers and not from the headphones. See Bug #570974.
Comment 3 Bug Zapper 2010-04-28 06:12:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 10:30:27 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.